Bug 1278149 - Add missing rwlock_unlocks in xprt_register
Add missing rwlock_unlocks in xprt_register
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: libtirpc (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Steve Dickson
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-04 14:02 EST by Steve Dickson
Modified: 2016-12-20 10:22 EST (History)
2 users (show)

See Also:
Fixed In Version: libtirpc-0.3.2-4.rc3.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:22:53 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Dickson 2015-11-04 14:02:32 EST
Description of problem:

commit 4f1503e84b2f7bd229a097335e52fb8203f5bb0b
Author: Michael Forney <mforney@mforney.org>
Date:   Wed Nov 4 13:58:06 2015 -0500

    Add missing rwlock_unlocks in xprt_register
    
    It looks like in b2c9430f46c4ac848957fb8adaac176a3f6ac03f when svc_run
    switched to poll, an early return was added, but the rwlock was not
    unlocked.
    
    I observed that rpcbind built against libtirpc-1.0.1 would handle only
    one request before hanging, and tracked it down to a missing
    rwlock_unlock here.
    
    Fixes: b2c9430f46c4 ('Use poll() instead of select() in svc_run()')
    Signed-off-by: Michael Forney <mforney@mforney.org>
    Signed-off-by: Steve Dickson <steved@redhat.com>
Comment 1 Fedora Update System 2015-11-04 15:08:58 EST
libtirpc-0.3.2-4.rc3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-b4da63dacc
Comment 2 Fedora Update System 2015-11-04 15:08:58 EST
libtirpc-0.3.2-4.rc3.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-d75dffabc7
Comment 3 Fedora Update System 2015-11-05 19:52:06 EST
libtirpc-0.3.2-4.rc3.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update libtirpc'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-d75dffabc7
Comment 4 Fedora Update System 2015-11-05 21:35:55 EST
libtirpc-0.3.2-4.rc3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update libtirpc'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-b4da63dacc
Comment 5 Fedora Update System 2015-11-13 17:54:49 EST
libtirpc-0.3.2-4.rc3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2015-11-16 12:26:47 EST
libtirpc-0.3.2-5.rc3.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-d7f8cb4b2b
Comment 7 Fedora Update System 2015-11-18 19:22:46 EST
libtirpc-0.3.2-5.rc3.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update libtirpc'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-d7f8cb4b2b
Comment 8 Fedora End Of Life 2016-11-24 08:05:00 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2016-12-20 10:22:53 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.